//---------------------------------------------------------------------------


#pragma hdrstop

#include "lang.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

//---------------------------------------------------------------------------
// Language Functions:
//---------------------------------------------------------------------------

AnsiString English[] = {"Inactive", "Active", "Exit", "About","Options", "OK", "Hotkey", "Cancel",
                        "Start mode", "Last setting", "Remove my settings from registry",
                        "Do you wish to remove all your settings from the registry?",
                        "Hotkey function","Copy only on hotkey","Toggle active/inactive",
                        "Remove leading and trailing whitespaces",
                        "Remove leading and trailing linebreaks",
                        "Always start with Windows",
                        "Remove all users settings from registry", "Copy only links",
                        "The official home of The Hovgaard Klan",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "",
                        "For online-help check the following website:"
};


AnsiString Danish[] = {"Inaktiv", "Aktiv", "Afslut", "Om HovText", "Indstillinger","OK",
                        "Genvejstast", "Annuller", "Start tilstand", "Sidste tilstand",
                        "Fjern mine indstillinger fra registreringsdatabasen",
                        "Vil du fjerne alle dine indstillinger fra registeringsdatabasen?",
                        "Genvejstast funktion","Kopier kun ved genvejstast",
                        "Skift mellem aktiv/inaktiv",
                        "Fjern mellemrum i start og slutning af teksten",
                        "Fjern linjeskift i start og slutning af teksten",
                        "Start automatisk sammen med Windows",
                        "Fjern alle brugeres indstillinger fra registreringsdatabasen",
                        "Kopir kun links", "The official home of The Hovgaard Klan",
                        "Hvordan skal HovText fungere efter opstart",
                        "",
                        "",
                        "",
                        "",
                        "Denne virkemde fungere sledes, at nr genvejstasten trykkes, fjernes formatteringen fra udklipsholderen og den r tekst indsttes i ns applikation.\n Efter brug vil udklipsholderen igen vre som original hvilket betyder, at man stadigt kan kopiere den originale og formatterede tekst vha. f.eks. CTRL+V.\nBemrk at der kan vre programmer hvor denne funktion ikke fungere! (vi har ikke fundet nogen endnu, men de findes!) :-)",
                        "Denne virkemde vil aktivere eller deaktivere HovText programmet.\nNr programmet er aktiveret, vil alt formattering blive fjernet fra udklipsholderen.\nNr programmet er deaktiveret, vil udklipsholderen forblive urrt or der vil ikke bliver fjernet nogen formattering.",
                        "Nr den er afkrydset vil den fjerne alle mellemrum i starten og slutningen af den kopierede r-tekst",
                        "Nr den er afkrydset vil den fjerne alle linieskift i starten og slutningen af den kopierede r-tekst",
                        "",
                        "Skal HovText skal starte op hver gang Windows startes op.",
                        "Nr du afkrydser denne mulighed, vil den fjerne alle dine indstillinger omkring HovText fra registreringsdatabasen. Det er som at starte p en helt frisk igen :-)",
                        "For online-hjlp se nedenstende hjemmeside"
                        };

AnsiString LangText(TextEnum t)
{
	switch(PRIMARYLANGID(GetUserDefaultLCID()))
	{
	  case LANG_DANISH:  return Danish[t];
	  default:           return English[t];
	}
}
