//---------------------------------------------------------------------------

#ifndef setupH
#define setupH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>

//---------------------------------------------------------------------------
class TSetupForm : public TForm
{
__published:	// IDE-managed Components
   TButton *OKButton;
   TButton *CancelButton;
   TCheckBox *StripWSCheck;
   TCheckBox *StripCRRadio;
   TCheckBox *UninstallCheck;
   TGroupBox *HotkeyGroup;
   TRadioButton *ConvertRadio;
   TGroupBox *StartAsGroup;
   TRadioButton *ActiveRadio;
   TRadioButton *InactiveRadio;
   TRadioButton *LastRadio;
  TCheckBox *WindowsStartCheck;
  TCheckBox *OnlyCopyLinksRadio;
  TLabel *HelpLabel;
  TLabel *URLLabel;
  THotKey *HotKey1;
  TRadioButton *ToggleRadio;
  TLabel *HotkeyLabel;
   void __fastcall FormShow(TObject *Sender);
   void __fastcall OKButtonClick(TObject *Sender);
   void __fastcall CancelButtonClick(TObject *Sender);
  void __fastcall UninstallCheckClick(TObject *Sender);
  void __fastcall URLLabelClick(TObject *Sender);
private:	// User declarations
   void __fastcall Deinstall();
   void __fastcall DeinstallAll();
   void __fastcall DeinstallUser(TRegistry *Registry);
public:		// User declarations
        __fastcall TSetupForm(TComponent* Owner);

   Classes::TShortCut __fastcall GetHotKey();
};


//---------------------------------------------------------------------------
extern PACKAGE TSetupForm *SetupForm;
//---------------------------------------------------------------------------
#endif
